%define upstream_name    Pod-Elemental-Transformer-WikiDoc
%define upstream_version 0.093004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A transformer to replace "wikidoc" data regions with Pod5 elements
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox) >= 0.100.0
BuildRequires: perl(Pod::Elemental) >= 0.92.941
BuildRequires: perl(Pod::Elemental::Transformer)
BuildRequires: perl(Pod::Elemental::Transformer::Pod5)
BuildRequires: perl(Pod::Elemental::Types)
BuildRequires: perl(Pod::Weaver::Role::Dialect)
BuildRequires: perl(Pod::WikiDoc) >= 0.180.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.93.4-7.mga10
+ Revision: 2200241
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.93.4-6.mga9
+ Revision: 1805193
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.93.4-5.mga8
+ Revision: 1496671
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.93.4-4.mga7
+ Revision: 1270542
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.93.4-3.mga6
+ Revision: 1032308
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.93.4-2.mga6
+ Revision: 967461
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.93.4-1.mga6
+ Revision: 849053
- update to 0.093004

* Wed Oct 15 2014 umeabot <umeabot> 0.93.3-4.mga5
+ Revision: 746783
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.93.3-2.mga4
+ Revision: 542267
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.93.3-1.mga4
+ Revision: 497188
- update to 0.093003

* Sun Jan 13 2013 umeabot <umeabot> 0.93.2-2.mga3
+ Revision: 371908
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 03 2011 jquelin <jquelin> 0.93.2-1.mga2
+ Revision: 162272
- update to 0.093002

* Wed Jan 26 2011 jquelin <jquelin> 0.93.1-1.mga1
+ Revision: 40122
- meta file is json based
- mageia rebuild
- imported package perl-Pod-Elemental-Transformer-WikiDoc

